Bug 24682 - Clarify UsageStatsGeolocation syspref description and behaviour
Summary: Clarify UsageStatsGeolocation syspref description and behaviour
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
: 20106 (view as bug list)
Depends on:
Blocks:
 
Reported: 2020-02-19 10:40 UTC by paxed
Modified: 2020-04-19 01:47 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.05, 19.05.10


Attachments
Bug 24682: Make UsageStatsGeolocation readonly (and redirect to the config page) (4.67 KB, patch)
2020-02-21 09:37 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24682: Make UsageStatsGeolocation readonly (and redirect to the config page) (4.72 KB, patch)
2020-02-21 21:13 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 24682: Make UsageStatsGeolocation readonly (and redirect to the config page) (4.78 KB, patch)
2020-02-24 12:15 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description paxed 2020-02-19 10:40:42 UTC
The syspref UsageStatsGeolocation needs to be improved, in couple ways:

Perform value format checking (eg. there should be no spaces, no letters)
OR
Make the value read-only.

AND

Change the syspref description to mention this is edited in <intranet>/cgi-bin/koha/admin/usage_statistics.pl (with a link to there, of course)
Comment 1 Jonathan Druart 2020-02-21 09:37:09 UTC
Created attachment 99361 [details] [review]
Bug 24682: Make UsageStatsGeolocation readonly (and redirect to the config page)

To prevent invalid values in this pref (and so on the server), we should
make this input readonly on the syspref page.
The sysprefs related to Hea should be edited from the dedicated page, so
also adding a note about that.

Test plan:
Search syspref with "UsageStats"
Notice the note about the admin page
Notice the UsageStatsGeolocation input is now readonly (and resized, to
display the whole value when filled)
Comment 2 Maryse Simard 2020-02-21 21:13:36 UTC
Created attachment 99452 [details] [review]
Bug 24682: Make UsageStatsGeolocation readonly (and redirect to the config page)

To prevent invalid values in this pref (and so on the server), we should
make this input readonly on the syspref page.
The sysprefs related to Hea should be edited from the dedicated page, so
also adding a note about that.

Test plan:
Search syspref with "UsageStats"
Notice the note about the admin page
Notice the UsageStatsGeolocation input is now readonly (and resized, to
display the whole value when filled)

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 3 Martin Renvoize 2020-02-24 12:15:56 UTC
Created attachment 99489 [details] [review]
Bug 24682: Make UsageStatsGeolocation readonly (and redirect to the config page)

To prevent invalid values in this pref (and so on the server), we should
make this input readonly on the syspref page.
The sysprefs related to Hea should be edited from the dedicated page, so
also adding a note about that.

Test plan:
Search syspref with "UsageStats"
Notice the note about the admin page
Notice the UsageStatsGeolocation input is now readonly (and resized, to
display the whole value when filled)

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 4 Martin Renvoize 2020-02-24 12:16:21 UTC
Useful simple improvement.. Passing QA
Comment 5 Martin Renvoize 2020-02-24 13:22:12 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 6 Joy Nelson 2020-03-30 22:02:02 UTC
PUshed to 19.11.x branch for 19.11.05
Comment 7 Lucas Gass 2020-04-08 14:57:52 UTC
backported to 19.05.x for 19.05.10
Comment 8 Hayley Mapley 2020-04-14 02:50:24 UTC
Enhancement will not be backported to 18.11.x
Comment 9 Katrin Fischer 2020-04-19 01:47:06 UTC
*** Bug 20106 has been marked as a duplicate of this bug. ***